Bug 409128 - KOrganizer crashes when starting
Summary: KOrganizer crashes when starting
Status: NEEDSINFO WAITINGFORINFO
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: 5.11.2
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-24 12:44 UTC by gesf02
Modified: 2022-09-23 02:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gesf02 2019-06-24 12:44:23 UTC
Hi,

I just upgraded from Fedora 29 to Fedora 30 and am using KDE. After upgrade, the Korganizer cannot open again and every time crashes before the windows appears.

The error message is:

Executable: korganizer PID: 9137 Signal: Segmentation fault (11) Time: 6/23/19 12:51:47

and the generated crash information is

Application: KOrganizer (korganizer), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fe7f70f1180 (LWP 9137))]

Thread 5 (Thread 0x7fe7e2dee700 (LWP 9144)):
#0  0x00007fe7fd5bb2b7 in poll () from /lib64/libc.so.6
#1  0x00007fe7fac791de in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007fe7fac79313 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007fe7fdb5d413 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007fe7fdb072bb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007fe7fd960675 in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007fe7fd9617c6 in ?? () from /lib64/libQt5Core.so.5
#7  0x00007fe7fb67d5a2 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fe7fd5c6023 in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fe7e35ef700 (LWP 9142)):
#0  0x00007fe7fd5bb2b7 in poll () from /lib64/libc.so.6
#1  0x00007fe7fac791de in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007fe7fac79313 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007fe7fdb5d413 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007fe7fdb072bb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007fe7fd960675 in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007fe7fd9617c6 in ?? () from /lib64/libQt5Core.so.5
#7  0x00007fe7fb67d5a2 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fe7fd5c6023 in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fe7e9072700 (LWP 9140)):
#0  0x00007fe7fd5bb2b7 in poll () from /lib64/libc.so.6
#1  0x00007fe7fac791de in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007fe7fac79313 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007fe7fdb5d413 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007fe7fdb072bb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007fe7fd960675 in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007fe7fd20ff4a in ?? () from /lib64/libQt5DBus.so.5
#7  0x00007fe7fd9617c6 in ?? () from /lib64/libQt5Core.so.5
#8  0x00007fe7fb67d5a2 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fe7fd5c6023 in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fe7e9e02700 (LWP 9139)):
#0  0x00007fe7fd5bb2b7 in poll () from /lib64/libc.so.6
#1  0x00007fe7fac0b38a in ?? () from /lib64/libxcb.so.1
#2  0x00007fe7fac0cffa in xcb_wait_for_event () from /lib64/libxcb.so.1
#3  0x00007fe7e9ff4908 in ?? () from /lib64/libQt5XcbQpa.so.5
#4  0x00007fe7fd9617c6 in ?? () from /lib64/libQt5Core.so.5
#5  0x00007fe7fb67d5a2 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fe7fd5c6023 in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fe7f70f1180 (LWP 9137)):
[KCrash Handler]
#6  0x00007fe7fd9ff673 in ?? () from /lib64/libQt5Core.so.5
#7  0x00007fe7fd9f9719 in ?? () from /lib64/libQt5Core.so.5
#8  0x00007fe7fd9a41ad in ?? () from /lib64/libQt5Core.so.5
#9  0x00007fe7fd9a4554 in ?? () from /lib64/libQt5Core.so.5
#10 0x00007fe7fd9a49b5 in QDateTime::QDateTime(QDate const&, QTime const&, QTimeZone const&) () from /lib64/libQt5Core.so.5
#11 0x00007fe7fed0db68 in KCalCore::MemoryCalendar::rawEvents(QDate const&, QDate const&, QTimeZone const&, bool) const () from /lib64/libKF5CalendarCore.so.5
#12 0x00007fe7fecc00ce in KCalCore::Calendar::events(QDate const&, QDate const&, QTimeZone const&, bool) const () from /lib64/libKF5CalendarCore.so.5
#13 0x00007fe7ff0a7562 in ?? () from /lib64/libkorganizerprivate.so.5
#14 0x00007fe7ff0a7b78 in ?? () from /lib64/libkorganizerprivate.so.5
#15 0x00007fe7ff09ed05 in ?? () from /lib64/libkorganizerprivate.so.5
#16 0x00007fe7ff098789 in ?? () from /lib64/libkorganizerprivate.so.5
#17 0x00007fe7ff08f986 in CalendarView::CalendarView(QWidget*) () from /lib64/libkorganizerprivate.so.5
#18 0x0000559d25cf9ce3 in ?? ()
#19 0x0000559d25cfb202 in ?? ()
#20 0x0000559d25cfbd19 in ?? ()
#21 0x00007fe7ff140575 in KontactInterface::PimUniqueApplication::start(QStringList const&, bool) () from /lib64/libKF5KontactInterface.so.5
#22 0x0000559d25cf89e7 in ?? ()
#23 0x00007fe7fd4eef33 in __libc_start_main () from /lib64/libc.so.6
#24 0x0000559d25cf8c2e in ?? ()
[Inferior 1 (process 9137) detached]
Comment 1 Wolfgang Bauer 2019-06-24 19:08:58 UTC
What Qt version are you using?

Even though the debug symbols are missing, your backtrace looks pretty much like bug#404275.
That was a bug in Qt (the crash only occurs with certain time zones), and should be fixed in Qt 5.12.3.
Comment 2 gesf02 2019-06-24 23:25:33 UTC
(In reply to Wolfgang Bauer from comment #1)
> What Qt version are you using?
> 
> Even though the debug symbols are missing, your backtrace looks pretty much
> like bug#404275.
> That was a bug in Qt (the crash only occurs with certain time zones), and
> should be fixed in Qt 5.12.3.

Thanks. It does seem exactly the same. I tried to change the timezone from Asia/Tokyo to Asia/Shanghai or America/New_York. But it does not work. 

Do you know how to update to Qt 5.12.3 without default repository? I'm using Fedora 30.
Comment 3 Justin Zobel 2022-09-23 02:22:47 UTC
Thank you for reporting this crash in KDE software. As it has been a while since this issue was reported, can we please ask you to see if you can reproduce the crash with a recent software version?

If you can reproduce the issue, please change the status to "CONFIRMED" when replying. Thank you!